Bug 971573 - [abrt] gnumeric-1.12.2-1.fc18: odf_text_content_end: Process /usr/bin/gnumeric-1.12.2 was killed by signal 11 (SIGSEGV)
[abrt] gnumeric-1.12.2-1.fc18: odf_text_content_end: Process /usr/bin/gnumeri...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:a587014b7aac23cf72cf58fd03d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 16:23 EDT by Stefan Gies
Modified: 2013-08-16 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: goffice-0.10.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-16 18:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.62 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: core_backtrace (6.74 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: dso_list (11.37 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: environ (1.63 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: maps (55.04 KB, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: open_fds (956 bytes, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-06-06 16:24 EDT, Stefan Gies
no flags Details
My file which killed gnumeric (9.01 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-06-07 14:56 EDT, Stefan Gies
no flags Details

  None (edit)
Description Stefan Gies 2013-06-06 16:23:57 EDT
Description of problem:
Try to import .ods-file

Version-Release number of selected component:
gnumeric-1.12.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        gnumeric
crash_function: odf_text_content_end
executable:     /usr/bin/gnumeric-1.12.2
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  6 22:20:17 athlon64x4-631 abrt[2090]: Saved core dump of pid 2070 (/usr/bin/gnumeric-1.12.2) to /var/tmp/abrt/ccpp-2013-06-06-22:20:17-2070 (88690688 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 odf_text_content_end at openoffice-read.c:1643
 #1 oo_cell_content_end at openoffice-read.c:4061
 #2 gsf_xml_in_end_element at gsf-libxml.c:840
 #4 xmlParseEndTag1 at parser.c:8679
 #5 xmlParseElement__internal_alias at parser.c:10082
 #6 xmlParseContent__internal_alias at parser.c:9881
 #7 xmlParseElement__internal_alias at parser.c:10054
 #8 xmlParseContent__internal_alias at parser.c:9881
 #9 xmlParseElement__internal_alias at parser.c:10054
 #10 xmlParseContent__internal_alias at parser.c:9881
Comment 1 Stefan Gies 2013-06-06 16:24:01 EDT
Created attachment 757885 [details]
File: backtrace
Comment 2 Stefan Gies 2013-06-06 16:24:05 EDT
Created attachment 757886 [details]
File: cgroup
Comment 3 Stefan Gies 2013-06-06 16:24:23 EDT
Created attachment 757887 [details]
File: core_backtrace
Comment 4 Stefan Gies 2013-06-06 16:24:27 EDT
Created attachment 757888 [details]
File: dso_list
Comment 5 Stefan Gies 2013-06-06 16:24:30 EDT
Created attachment 757889 [details]
File: environ
Comment 6 Stefan Gies 2013-06-06 16:24:34 EDT
Created attachment 757890 [details]
File: limits
Comment 7 Stefan Gies 2013-06-06 16:24:40 EDT
Created attachment 757891 [details]
File: maps
Comment 8 Stefan Gies 2013-06-06 16:24:43 EDT
Created attachment 757892 [details]
File: open_fds
Comment 9 Stefan Gies 2013-06-06 16:24:46 EDT
Created attachment 757893 [details]
File: proc_pid_status
Comment 10 Andreas J Guelzow 2013-06-06 17:24:24 EDT
Hi, would you be able to provide the ODF file in question?
Comment 11 Stefan Gies 2013-06-07 05:41:01 EDT
I opened an ODS-File. It is an older format of Openoffice not ODF. An ODF-File do not cause an error.
Comment 12 Andreas J Guelzow 2013-06-07 13:04:03 EDT
Files with extension .ods are typically files in the spreadsheet variant of the OpenDocument Format (ODF). 
But I am wondering whether you can provide the specific file leading to this crash. If it is confidential, would you be able to send it to me? I am one of the upstream deveopers for Gnumeric, and can make sure that it stays confidential.
Comment 13 Stefan Gies 2013-06-07 14:56:58 EDT
Created attachment 758298 [details]
My file which killed gnumeric

@ Andreas J Guelzow : The file you requested
Comment 14 Andreas J Guelzow 2013-06-07 15:19:40 EDT
Thank you for providing the file. I seem to be unable to trigger the crash with that file. I have, upstream, ensured that we will not crash again at that spot but I was trying to figure out how we could  have attained a null pointer in that situation.
Comment 15 Stefan Gies 2013-06-07 16:12:33 EDT
Today I opened the file again and nothing happened. the file was opened as it should be. Everything was fine. No crash. I am astonished.
Comment 16 Andreas J Guelzow 2013-06-28 16:18:25 EDT
This trace matches a bug I just fixed upstream (the fix will be in 1.12.4) that could be triggered by old sxc files (Those are pre-cursors to the open document format spreadsheet files). One should consider this bug fixed in 1.12.4.
Comment 17 Fedora Update System 2013-07-18 15:01:35 EDT
goffice-0.10.4-1.fc18, gnumeric-1.12.4-1.fc18, gnome-chemistry-utils-0.14.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/goffice-0.10.4-1.fc18,gnumeric-1.12.4-1.fc18,gnome-chemistry-utils-0.14.2-4.fc18
Comment 18 Fedora Update System 2013-07-20 05:35:57 EDT
Package goffice-0.10.4-1.fc18, gnumeric-1.12.4-1.fc18, gnome-chemistry-utils-0.14.2-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing goffice-0.10.4-1.fc18 gnumeric-1.12.4-1.fc18 gnome-chemistry-utils-0.14.2-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13242/goffice-0.10.4-1.fc18,gnumeric-1.12.4-1.fc18,gnome-chemistry-utils-0.14.2-4.fc18
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-08-16 18:57:26 EDT
goffice-0.10.4-1.fc18, gnumeric-1.12.4-1.fc18, gnome-chemistry-utils-0.14.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.